
Redmine - Defect #20000

Visible to Role and Required is not shown during ticket update.

2015-06-03 10:27 - Rupesh  J

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello,

Create a custom field visible to role "x", assign it to a tracker and a project.

In workflow, Field permission for the role update the field permission to required only in the second or third status. ( leave blank in the

first one )

Now in the project,

Create a new issue, with the role as assigned above.

Check that the custom field is not mandatory in the first status.

Change the status to the second one.. Check that during this status we had made the field mandatory which is not reflected in the

form.

Please let me know if you need additional info.

Thanks.

History

#1 - 2015-07-02 10:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2015-07-02 11:37 - Rupesh  J

Sorry for missing some information:

Environment:

Redmine version                3.0.3.stable

Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

Rails version                  4.2.1

Environment                    production

Database adapter               Mysql2

Let me know if you would need any more information.

Thanks.

#3 - 2015-07-30 16:21 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#4 - 2015-07-30 16:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Do you use plugins?

#5 - 2015-08-01 15:57 - Rupesh  J

Yes.! I have some plugins.

Developed by me and some got from Plugins section.!

#6 - 2015-08-31 01:38 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/wiki/Submissions


I cannot reproduce on clean Redmine 3.0.4.
